/****************************************************************************
*                                                                           *
*                                                                           *
*  GTKCard, Copyright (C) 2003-2005, Identity Alliance, LLC.                *
*  Title   : Mutex.c                                                        *
*  Package : GTKCard                                                        *
*  Author  : Eirik A. Herskedal                                             *
*            David Corcoran                                                 *
*  Date    : 09/03/03                                                       *
*  Licence : See attached file                                              *
*                                                                           *
*                                                                           *
****************************************************************************/

#include <Mutex.h>

int createMutex(pthread_mutex_t * mutex)
{
	pthread_mutexattr_init(&mutexAttr);
	return pthread_mutex_init(mutex, &mutexAttr);
}

int lockMutex(pthread_mutex_t * mutex)
{
	return pthread_mutex_lock(mutex);
}

int unlockMutex(pthread_mutex_t * mutex)
{
	return pthread_mutex_unlock(mutex);
}

int destroyMutex(pthread_mutex_t * mutex)
{
	pthread_mutexattr_destroy(&mutexAttr);
	return pthread_mutex_destroy(mutex);
}
